REST APIIdentityKnow Your Customer (KYC)

POST

Create a KYC identity for a user.

Body Params

ONE OF

  • addressCity string required
    The city of residence

    at least 1 characters

  • addressPostalCode string
    The postal or ZIP code

    at least 1 characters

  • addressStreet1 string required
    The street address line 1

    at least 1 characters

  • addressStreet2 string
    The street address line 2

    at least 1 characters

  • addressSubdivision string required
    The state, province, or region of residence

    at least 1 characters

  • birthdate string date required
    The birthdate of the individual (YYYY-MM-DD)
  • country string required
    The country of the address (ISO Alpha-2 or Alpha-3 country code)

    at least 1 characters

  • countryOfCitizenship string required
    The country of citizenship (ISO Alpha-2 or Alpha-3 country code)

    at least 1 characters

  • countryOfResidence string required
    The country of residence (ISO Alpha-2 or Alpha-3 country code)

    at least 1 characters

  • debugFailureReason string
    Debug failure reason to provide additional context when simulating verification failure in the test environment

    at least 1 characters

  • debugStatus string enum
    Debug status for simulating verification failure or success in the test environment - passes by default
    passedfailed
  • digitalAssetWalletAddress string
    A digital asset wallet address of the individual where funds will be deposited from

    at least 1 characters

  • enterpriseId string required
    The BitGo enterprise ID

    at least 1 characters

  • govIdCountryOfIssuance string required
    The country of issuance of the government ID (ISO Alpha-2 or Alpha-3 country code)

    at least 1 characters

  • identificationNumber object

    Tax identification number. Required for US citizens and US residents; optional for non-US individuals who hold one:

    • US citizens: Submit SSN (Social Security Number)
    • US residents (non-citizens): Submit SSN or ITIN (Individual Taxpayer Identification Number)
    • Non-US individuals: Optionally submit SSN or ITIN if held (e.g. dual nationals, former US residents). To upload other government-issued identification documents, use the Submit KYC Documents endpoint instead

    matches ^(\d{3}-\d{2}-\d{4}|\d{9})$

  • nameFirst string required
    The first name (Latin letters, spaces, hyphens, apostrophes, and periods)

    matches ^[A-Za-zÀ-ÿĀ-ſƀ-ɏ\s'\.\-]+$

  • nameLast string required
    The last name (Latin letters, spaces, hyphens, apostrophes, and periods)

    matches ^[A-Za-zÀ-ÿĀ-ſƀ-ɏ\s'\.\-]+$

  • nameMiddle string
    The middle name (Latin letters, spaces, hyphens, apostrophes, and periods)

    matches ^[A-Za-zÀ-ÿĀ-ſƀ-ɏ\s'\.\-]+$

  • notionalTradedEachMonth number
    The estimated notional amount traded per month in USD
  • occupation string enum required
    The occupation category of the individual
    AgricultureArt Dealer / Auctioneer / Import / Export CompanyFinancial Services (Asset Mgmt., Bank, Broker Dealer, Commodities, Mutual Fund, Ins. Co)Casinos and Gambling EstablishmentsCharity/NGO/Non-Profit/Foundation/EndowmentComputer Programmer / Administrator / Software Engineer / IT or Software / Technology CompanyCrypto Services (ATM, Exchange, Lender, Coins/Token)Education / TeacherExtractive Industry (Oil, Gas, etc.) / Jewels / Gemstones / Precious MetalsFamily OfficeFilm / TV / Entertainment (not adult)Government/State owned/Political Org. (i.e. Sovereign Wealth Fund)HealthcareLaw Enforcement / Military / Protective ServicesMiner / Mining PoolMoney Service BusinessOtherPrivate Equity / Venture CapitalProfessional Service Providers (lawyers accountants etc.)Real estate brokers developers and appraisersRecreation / HospitalityStudent / Unemployed / RetiredTraders / Trading (High Frequency, Proprietary, Market Maker)Other - DefaultWeapons Dealers
  • organizationId string required
    The Bitgo organization ID

    at least 1 characters

  • phoneNumber string required
    The phone number of the individual

    at least 1 characters

  • politicallyExposedPerson boolean required
    Whether the individual is a Politically Exposed Person (PEP)
  • transactionType string enum required
    The type of KYC identity being created
    institutionalIndividual
  • userId string required
    The BitGo user ID

    at least 1 characters

Responses

200
OK

Response Body

object

  • id string required
  • status string required
    The status of the KYC identity: initiating, awaiting document upload, input error, ssn error, taxid error, in review, incomplete verifications, awaiting signature, records uploaded, approved, declined

    at least 1 characters

400
Bad Request

Response Body

object

  • name string
  • context map of objects required
    context object
    • <key> object
  • status number
  • additionalDetails object
    additionalDetails object
    • retryAfter number required
  • error string required
  • requestId string required
401
Unauthorized

Response Body

object

  • name string
  • context map of objects required
    context object
    • <key> object
  • status number
  • additionalDetails object
    additionalDetails object
    • retryAfter number required
  • error string required
  • requestId string required
403
Forbidden

Response Body

object

  • name string
  • context map of objects required
    context object
    • <key> object
  • status number
  • additionalDetails object
    additionalDetails object
    • retryAfter number required
  • error string required
  • requestId string required